List transaction intent sessions
curl --request GET \
--url https://{host}/extern/fe/intent \
--header 'Authorization: Bearer <token>' \
--header 'X-Publishable-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Publishable-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://{host}/extern/fe/intent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/fe/intent"
headers = {
"X-Publishable-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": [
{
"intentId": "8e9f4d67-51ad-49aa-a502-2f569aaf7399",
"type": "DEPOSIT",
"status": "OPEN",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"externalRef": "<string>",
"lockedAt": "2023-11-07T05:31:56Z",
"lockedBy": "0x1234567890abcdef1234567890abcdef12345678",
"errorMessage": "<string>"
}
]
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}List transaction intent sessions
GET
/
extern
/
fe
/
intent
List transaction intent sessions
curl --request GET \
--url https://{host}/extern/fe/intent \
--header 'Authorization: Bearer <token>' \
--header 'X-Publishable-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Publishable-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://{host}/extern/fe/intent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/fe/intent"
headers = {
"X-Publishable-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": [
{
"intentId": "8e9f4d67-51ad-49aa-a502-2f569aaf7399",
"type": "DEPOSIT",
"status": "OPEN",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"externalRef": "<string>",
"lockedAt": "2023-11-07T05:31:56Z",
"lockedBy": "0x1234567890abcdef1234567890abcdef12345678",
"errorMessage": "<string>"
}
]
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}Authorizations
Account Type publishable key (pk_live_...)
SIWE session JWT issued by POST /auth/verify
Query Parameters
Available options:
OPEN, LOCKED, SUBMITTED, SETTLED, FAILED, CANCELLED Last modified on July 24, 2026
Was this page helpful?